Bug 1022972

Summary: Dragging a window to the seconary display in a non-default arragement doesn't work properly
Product: [Fedora] Fedora Reporter: Tadej Janež <tadej.j>
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: brentrbrian, dansmith, ventura10, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 08:43:01 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Screencast demonstrating the default multi-display arrangement where dragging works.
none
Screencast demonstrating a non-default multi-display arrangement where dragging doesn't work.
none
Xorg.0.log with default arrangement none

Description Tadej Janež 2013-10-24 07:44:04 EDT
Created attachment 815739 [details]
Screencast demonstrating the default multi-display arrangement where dragging works.

Description of problem:
I'm participating in the Fedora 20 Graphics test week.
When following the http://fedoraproject.org/wiki/QA:Testcase_radeon_multihead test case, I encountered a problem when using a non-default arrangement of the displays: dragging windows to some parts of the secondary display doesn't work. Also, full-sizing the windows on the secondary display produces unwanted results.

Version-Release number of selected component (if applicable):
kernel-3.11.6-300.fc20.x86_64
xorg-x11-server-Xorg-1.14.3-4.fc20.x86_64
xorg-x11-drv-ati-7.1.0-6.20130408git6e74aacc5.fc20.x86_64
gnome-shell-3.10.1-1.fc20.x86_64
control-center-3.10.1-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect the secondary display
2. Change the arrangement (via gnome-control-center) so that the primary display is under the secondary display (which is bigger than primary).
3. Drag a window to the upper-right portion of the secondary display.

Actual results:
Window can't be dragged to that part of the secondary display.

Expected results:
Everything should work as when using the default display arrangement.

Additional info:
I recorded two screencasts showing a working and a non-working situation.
Comment 1 Tadej Janež 2013-10-24 07:45:03 EDT
Created attachment 815740 [details]
Screencast demonstrating a non-default multi-display arrangement where dragging doesn't work.
Comment 2 Alexandre Ventura 2014-01-22 05:23:34 EST
I have the same issue described above.
I don't know if it is related or not but when I disconnect my secondary monitor, the primary gets blank. If I reconnect the secondary, it shows image but the primary keeps blank until I restart my laptop.
Comment 3 Alexandre Ventura 2014-01-22 05:25:17 EST
Created attachment 853790 [details]
Xorg.0.log with default arrangement
Comment 4 Dan Smith 2014-04-04 15:37:52 EDT
I have the same problem. Hardware is:

- Lenovo X230
- Primary display: HP ZR24w connected via displayport at 1920x1200
- Secondary display: Dell FP2007 connected via VGA at 1600x1200

The primary is larger and under the smaller secondary. I can't drag windows to the secondary display, either normally or in activities view. If I restart gnome (Alt+F2,r,<enter>) then I can drag a window partially to the other display, but I can't get it all the way over there. After the first drag attempt, I can't cross the display boundary during a drag on subsequent attempts.

This pretty much kills multi-monitor ability, as far as I can tell.
Comment 5 Brent R Brian 2014-10-06 16:45:47 EDT
Please add my voice to the chorus ... Aspire 5734Z-4836 (16:6) with second monitor an HP L1910 (4:3).

In an over/under configuration (HP on top) I cannot drag a window from bottom to top.  The "grasping cursor icon" separates from the top window bar and only the cursor makes the trip.
Comment 6 Brent R Brian 2014-10-06 16:46:39 EDT
(16:9) on Aspire screen size.
Comment 7 Fedora End Of Life 2015-05-29 05:37:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:43:01 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.